Jump to content


Photo

Comments on the Compatibility Guide


  • Please log in to reply
62 replies to this topic

#21 omeletted

omeletted
  • Member
  • 11 posts

Posted 12 January 2008 - 05:53 AM

Afterwards, post the contents of the newly created RR#TEST.LOG file here. This will create a list of all mods which are altering the innkeeper's dialogue in any way.

Mods affecting ffbart.dlg:
00000: /* from game biffs */ ~G3ANNIVERSARY/SETUP-G3ANNIVERSARY.TP2~ 0 0 // The Gibberlings Three Anniversary Mod
00001: ~RR/SETUP-RR.TP2~ 0 5 // Additional equipment for Thieves and Bards
00002: ~BG2_TWEAKS/SETUP-BG2_TWEAKS.TP2~ 0 130 // Force All Dialogue to Pause Game

Only other thing is Force All Dialogue to Pause Game from BG2 Tweaks. How odd. Guess it's simply corrupted install. Gomen, thanks for looking into it. ^_^

#22 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 12 January 2008 - 06:07 AM

Only other thing is Force All Dialogue to Pause Game from BG2 Tweaks.


That's definitively not causing this issue since I always use that component of BG2 Tweaks myself. ;)

How odd. Guess it's simply corrupted install. Gomen, thanks for looking into it. ^_^


Indeed, that seems like the only remaining possibility.

BTW, corrupted installs are usually caused by having one of the BG2 modding tools (i.e. Shadow Keeper, Infinity Explorer...etc) or even the game itself running while attempting to install a WeiDU mod. Furthermore, closing the WeiDU window by clicking "X" instead of pressing ENTER (when prompted to do so) can also be a potential cause of install corruption.

#23 gwyned

gwyned
  • Member
  • 13 posts

Posted 24 March 2008 - 02:40 PM

[*]Beyond the Law ( v1.35) [link] - Beyond the Law is conceptually incompatible with the "Additional equipment for Thieves and Bards" component of Rogue Rebalancing since Arledrian (who is an important plot character in BTL) leaves during the "A Missing Fence?" quest which is introduced by this component.


What exactly will happen if a user installs both RR and BtL in regards to Arledrian? Does conceptual incompatibility mean that the BtL portion of the game cannot be completed, or simply that there is some sort of continuity problem wherein Arledrian can seem to have two different fates? And if the former, is there a way you could update RR to make the Arledrian portion of the mod separate from the Additional Equipment portion?

Thanks.

EDIT: Nevermind, just read the appropriate thread in the BTL forums. Consider this a friendly reminder to update this for the next version... :whistling:

Edited by gwyned, 24 March 2008 - 02:46 PM.


#24 Azazello

Azazello

    The Anti-Spammer

  • Member
  • 1830 posts

Posted 24 March 2008 - 04:21 PM

Before Salk/Bursk chimes in, any chance you're willing to work-around the one(?) CtB area issue, forget which one, that makes the two incompatible? No biggie, but would be nice.

#25 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 24 March 2008 - 10:50 PM

What exactly will happen if a user installs both RR and BtL in regards to Arledrian?


Basically, Arledrian may die or leave forever depending on how you resolve his RR quest. Since he is an important plot character in BTL this could cause some issues for that mod.

In any case, this will be resolved in the next update of RR.

#26 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 24 March 2008 - 10:50 PM

Before Salk/Bursk chimes in, any chance you're willing to work-around the one(?) CtB area issue, forget which one, that makes the two incompatible? No biggie, but would be nice.


Nope, sorry.

As mentioned before, the incompatibility between STI and CtB is both conceptual and technical in nature. I've done all I could by preventing the STI component of RR from installing if CtB is detected.

Edited by aVENGER, 24 March 2008 - 10:53 PM.


#27 SirLancelot

SirLancelot
  • Member
  • 356 posts

Posted 25 March 2008 - 05:15 AM

It's a case of both conceptual and technical incompatibility. For starters, CtB assumes that the protagonist has been kidnapped while STI does not. Furthermore, STI uses different (custom) areas for its encounters (i.e. RR#010.ARE) as does CtB (i.e. AR3566.ARE) which could make it impossible to ever rescue your protagonist if both STI and CtB are installed. Check this thread for more details.


What a shame. Any chance of persuade CB to return to the BG modding scene? (i'm thinking on SoS, too)
Where men gather, a bustle of chaos ensues. I would save them all, if I could.

#28 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 25 March 2008 - 05:32 AM

AFAIK, King Diamond currently handles the development of CtB and he did an excellent job with the coding (the incompatibility is not his fault in any way). However, all technical setbacks aside, the "Captured!" quest from CtB simply wouldn't work with STI from the conceptual point of view, especially regarding the stealth path.

In short, I don't intend to make those two approaches compatible even though it could be done technically. You can either play the Shadow Thief encounters as the CtB author envisioned them or the way I envisioned them. Each approach has its own charm but it simply doesn't make sense to do them both in the same playthrough. That's why I intentionally prevent the STI component from installing if CtB is detected. It will simply be skipped over during the install process and an incompatibility warning message will be displayed instead.

Edited by aVENGER, 25 March 2008 - 05:37 AM.


#29 -Azalar-

-Azalar-
  • Guest

Posted 05 April 2008 - 10:01 AM

First, sorry for the accidental post above... doing too many things at once : )

Anyway, simple question...

Does anyone know if Ashes of Embers can, in fact be installed before Rebalancing, as per this post:

http://forums.gibber...?showtopic=8122

Thanks!
Az

#30 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 05 April 2008 - 10:38 AM

It can, but in that case, the item changes from Ashes of Ambers won't apply to the new items which are introduced by Rogue Rebalancing.

For example, a Cleric wouldn't be able to wield a custom dagger which is introduced by RR (i.e. Silverblaze) unless you install AoE after RR.

#31 -Guest-

-Guest-
  • Guest

Posted 05 April 2008 - 12:05 PM

It can, but in that case, the item changes from Ashes of Ambers won't apply to the new items which are introduced by Rogue Rebalancing.

For example, a Cleric wouldn't be able to wield a custom dagger which is introduced by RR (i.e. Silverblaze) unless you install AoE after RR.


Okay, that makes sense, and I'm not using that particular component of AoE ...

TY for the speedy answer : )

Az

#32 -Azalar-

-Azalar-
  • Guest

Posted 05 April 2008 - 12:40 PM

Sorry to bug you with another question on this, but it appears there are several contradictions in the two aforementioned install orders. As a rule, should I override the G3 list with what's posted here, as far as the RR mod goes?

Regards,
Az

#33 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 05 April 2008 - 10:31 PM

Yes, you should use the instructions provided in this thread since the G3 Tutu list hasn't been updated with the latest compatibility changes which were made when RR v3.9 was released.

I'll get in touch with the maintainers of the G3 list and ask them to make the necessary corrections.

#34 -Azalar-

-Azalar-
  • Guest

Posted 06 April 2008 - 02:17 AM

Yes, you should use the instructions provided in this thread since the G3 Tutu list hasn't been updated with the latest compatibility changes which were made when RR v3.9 was released.

I'll get in touch with the maintainers of the G3 list and ask them to make the necessary corrections.


I'll do that then. Thanks much!
:)

#35 Salk

Salk
  • Member
  • 1225 posts

Donator

Posted 08 April 2008 - 05:25 AM

aVenger,

could you please tell me the reason for recommending 1PP to be installed before RR?

#36 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 08 April 2008 - 05:52 AM

could you please tell me the reason for recommending 1PP to be installed before RR?


For now, this is merely a convenience based recommendation and installing 1pp after RR won't actually cause any problems.

However, once 1PP v3 gets released, future versions of Rogue Rebalancing will detect its presence (if it is installed before RR) and adjust the custom bucklers from RR to use the proper (round) animations from 1PP. See this thread for more details.

#37 Salk

Salk
  • Member
  • 1225 posts

Donator

Posted 08 April 2008 - 08:05 PM

Thanks for the clarification! :cheers:

#38 -erik-

-erik-
  • Guest

Posted 10 May 2008 - 05:19 PM

Is there any minor fix that can be used for Beyond the Law compatibility yet? :)

#39 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 10 May 2008 - 09:22 PM

Is there any minor fix that can be used for Beyond the Law compatibility yet? :)


The compatibility issue with BTL will be resolved in the upcoming v3.91 update.

For now, just don't kill Arledrian during his quest (i.e. don't pick the evil dialogue options) and you should be fine.

#40 kevmus

kevmus
  • Member
  • 55 posts

Posted 08 June 2008 - 01:06 AM

Sorry to bother you, but since you put

Divine Remix
Rogue Rebalancing
Ashes of Embers

as the install order,

and Divine Remix says it should be installed after AoE, should I assume that I can't have all three together?